# Uses of Class
org.apache.solr.client.solrj.request.SolrQuery.SortClause

Packages that use SolrQuery.SortClause
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of SolrQuery.SortClause in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return SolrQuery.SortClause
Modifier and Type
Method
Description
`static SolrQuery.SortClause`
SolrQuery.SortClause.`asc(String item)`
Creates an ascending SortClause for an item
`static SolrQuery.SortClause`
SolrQuery.SortClause.`create(String item, String order)`
Creates a SortClause based on item and order
`static SolrQuery.SortClause`
SolrQuery.SortClause.`create(String item, SolrQuery.ORDER order)`
Creates an ascending SortClause for an item
`static SolrQuery.SortClause`
SolrQuery.SortClause.`desc(String item)`
Creates a descending SortClause for an item
Methods in org.apache.solr.client.solrj.request that return types with arguments of type SolrQuery.SortClause
Modifier and Type
Method
Description
`List<SolrQuery.SortClause>`
SolrQuery.`getSorts()`
Gets a list of current sort clauses.
Methods in org.apache.solr.client.solrj.request with parameters of type SolrQuery.SortClause
Modifier and Type
Method
Description
`SolrQuery`
SolrQuery.`addOrUpdateSort(SolrQuery.SortClause sortClause)`
Updates or adds a single sort field specification to the current sort information.
`SolrQuery`
SolrQuery.`addSort(SolrQuery.SortClause sortClause)`
Adds a single sort clause to the end of the query.
`SolrQuery`
SolrQuery.`removeSort(SolrQuery.SortClause sortClause)`
Removes a single sort field from the current sort information.
`SolrQuery`
SolrQuery.`setSort(SolrQuery.SortClause sortClause)`
Replaces the current sort information with a single sort clause
Method parameters in org.apache.solr.client.solrj.request with type arguments of type SolrQuery.SortClause
Modifier and Type
Method
Description
`SolrQuery`
SolrQuery.`setSorts(List<SolrQuery.SortClause> value)`
Replaces the current sort information.